AnsweredAssumed Answered

Error Installing on Visual Studio Express 2015

Question asked by smoore-esristaff Employee on Dec 8, 2016
Latest reply on Dec 9, 2016 by rzwaap-esristaff

I am trying to install the .NET SDK (v100) on Visual Studio Express 2015 on a Windows 8.1 machine.  I get this error:

 

Here is the log:

12/8/2016 10:32:17 PM - Microsoft VSIX Installer
12/8/2016 10:32:17 PM - -------------------------------------------
12/8/2016 10:32:17 PM - Initializing Install...
12/8/2016 10:32:18 PM - Extension Details...
12/8/2016 10:32:18 PM - Identifier : Esri.ArcGISRuntime
12/8/2016 10:32:18 PM - Name : ArcGIS Runtime SDK for .NET
12/8/2016 10:32:18 PM - Author : Esri
12/8/2016 10:32:18 PM - Version : 100.0.0
12/8/2016 10:32:18 PM - Description : Adds maps, 3D scenes and powerful spatial capabilities to your WPF, UWP, Xamarin.Android, Xamarin.iOS, and Xamarin.Forms apps.
12/8/2016 10:32:18 PM - Locale : en-US
12/8/2016 10:32:18 PM - MoreInfoURL : http://links.esri.com/runtime-dotnet-sdk
12/8/2016 10:32:18 PM - InstalledByMSI : False
12/8/2016 10:32:18 PM - SupportedFrameworkVersionRange : [4.5,)
12/8/2016 10:32:18 PM -
12/8/2016 10:32:21 PM - SignatureState : ValidSignature
12/8/2016 10:32:21 PM - SignedBy : Environmental Systems Research Institute Inc.
12/8/2016 10:32:21 PM - Certificate Info :
12/8/2016 10:32:21 PM - -------------------------------------------------------
12/8/2016 10:32:21 PM - [Subject] : CN=Environmental Systems Research Institute Inc., O=Environmental Systems Research Institute Inc., L=Redlands, S=California, C=US
12/8/2016 10:32:21 PM - [Issuer] : CN=Symantec Class 3 SHA256 Code Signing CA, OU=Symantec Trust Network, O=Symantec Corporation, C=US
12/8/2016 10:32:21 PM - [Serial Number] : 2BA721422482950208D9A17E99E198DB
12/8/2016 10:32:21 PM - [Not Before] : 9/1/2015 5:00:00 PM
12/8/2016 10:32:21 PM - [Not After] : 10/1/2018 4:59:59 PM
12/8/2016 10:32:21 PM - [Thumbprint] : 0A60AAF8004FCB712A141650663C407E68EE2F20
12/8/2016 10:32:21 PM -
12/8/2016 10:32:21 PM - Supported Products :
12/8/2016 10:32:21 PM - Microsoft.VisualStudio.Pro
12/8/2016 10:32:21 PM - Version : [11.0,)
12/8/2016 10:32:21 PM - Microsoft.VisualStudio.Premium
12/8/2016 10:32:21 PM - Version : [11.0,)
12/8/2016 10:32:21 PM - Microsoft.VisualStudio.Ultimate
12/8/2016 10:32:21 PM - Version : [11.0,)
12/8/2016 10:32:21 PM - Microsoft.VisualStudio.Community
12/8/2016 10:32:21 PM - Version : [11.0,)
12/8/2016 10:32:21 PM -
12/8/2016 10:32:21 PM - References :
12/8/2016 10:32:21 PM - Signature Details...
12/8/2016 10:32:21 PM - Extension is signed with a valid signature.
12/8/2016 10:32:21 PM -
12/8/2016 10:32:21 PM - Searching for applicable products...
12/8/2016 10:32:21 PM - Found installed product - Microsoft Visual Studio Express 2015 for Windows Desktop
12/8/2016 10:32:21 PM - Found installed product - Global Location
12/8/2016 10:32:21 PM - VSIXInstaller.NoApplicableSKUsException: This extension is not installable on any currently installed products.
at VSIXInstaller.App.InitializeInstall(Boolean isRepairSupported)
at VSIXInstaller.App.InitializeInstall()
at System.Threading.Tasks.Task.InnerInvoke()
at System.Threading.Tasks.Task.Execute()

 

From here:

System requirements—ArcGIS Runtime SDK for .NET | ArcGIS for Developers 

 

It says that it should be a supported IDE.  What am I missing?

 

Thanks!
Scott

Outcomes